Subject: Re: [PATCH] Consolidate shared code between enic and fnic drivers.

From: Joe Eykholt <[email-masked]>
Date: Tue, 23 Jun 2009 16:53:38 -0700

Roland Dreier wrote:
>  > For the includes then, do we put them in include/shared/cisco_vnic or
>  > do we do that EXTRA_CFLAGS += -Idrivers/shared/cisco_vnic? In that
>  > patch for fnic/vnic/enic I sent a while back I did the EXTRA_CFLAGS,
>  > only because that is how cxgb3/iw_cxgb3 was doing it. I am not sure if
>  > that is nice or not. It was on the TODO to check it out.
> 
> For mlx4, I created include/linux/mlx4/.
> 
> Maybe create include/shared and move to that?

Or how about include/drivers/mlx4 and similarly for cisco_vnic
(but we're leaning towards cvnic)?

include/drivers seems more like a generally useful subdirectory
with some meaning.   include/shared leaves one guessing as to what
it might be.
	
	Joe